codebase="hhctrl.ocx#Version=4,73,8561,0"> codebase="hhctrl.ocx#Version=4,73,8561,0" > codebase="hhctrl.ocx#Version=4,73,8561,0" >
 
  3dPolyline object

A 3D polyline of straight line segments.

VBA class name:

Acad3DPolyline 

Create using:

ModelSpace.Add3DPoly
PaperSpace.Add3DPoly
Block.Add3DPoly 

Access via:

ModelSpace.Item
PaperSpace.Item
Block.Item
SelectionSet.Item
Group.Item 

To open or close a polyline, use the Closed property.

An open 3D polyline

To create a 3D polyline, use the Add3DPoly method. To edit or query a 3D polyline, use the following methods and properties:

Methods

AppendVertex

ArrayPolar

ArrayRectangular

Copy

Delete

Explode

GetBoundingBox

GetExtensionDictionary

GetXData

Highlight

IntersectWith

Mirror

Mirror3D

Move

Rotate

Rotate3D

ScaleEntity

SetXData

TransformBy

Update  

Properties

Application

Closed

ConstantWidth

Coordinate

Coordinates

Document

Handle

HasExtensionDictionary

Hyperlinks

Layer

Length

Linetype

LinetypeScale

Lineweight

ObjectID

ObjectName

OwnerID

PlotStyleName

TrueColor

Type

Visible  

Events

Modified  

 

   Comments?